package com.ruoyi.advertiser25.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * 轮播计划存入redis数据
 * @author zhangzhanwei
 * @date: 2021-09-27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class CarouselPlanRedisDto25 {
    /** 设备每天开始运营时间 HH:mm:ss */
    private String startTime;
    /** 设备每天结束运营时间 HH:mm:ss */
    private String endTime;
    /** 图片显示列表 **/
    private Long[] picCarouselList;
    /** 图片绑定列表 id-time **/
    private List<ImageBindDto> picBindingList;

    /** 图片刷新周期 */
    private int displayTime;
    /** 心跳周期 */
    private int hbiTime;
    /** 服务器地址 */
    private String downHttp;
}
