package com.ruoyi.advertiser25.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 获取轮播计划的参数vo数据模型
 *
 * @author zhangzhanwei
 * @date 2021-09-16
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class CarouselPlanParamReq25 {
    /**
     * 投放时间
     */
    @NotNull(message = "分组不能为空")
    private Long groupId;

    /**
     * 投放时间
     */
    @NotNull(message = "投放时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date advertiseDate;
}
