package com.ruoyi.setsm25.service;

import com.ruoyi.advertiser25.constant.SeSignature25;
import com.ruoyi.setsm25.domain.SeActivating25;

/**
 *  激活设备
 * @author zzw
 * @date 2021/8/6
 * @Description: se-tsm对接激活业务
 */
public interface SeActivating25Service {

    /**
     * 激活业务接口
     * @param requestId 请求标识，作为判断重发报文的唯一标志
     * @param seActivating25 Activating – 激活业务码数据
     */
    String activating(String requestId, SeActivating25 seActivating25);

    /**
     * 请求签名
     * @param requestId 请求标识，作为判断重发报文的唯一标志
     * @param seSignature25 签名业务码数据
     */
    String signature(String requestId, SeSignature25 seSignature25);
}
