import request from '@/utils/request'

// 查询把手 列表
export function listHandle(query) {
  return request({
    url: '/advertising25/setting/list',
    method: 'get',
    params: query
  })
}

// 查询把手 详细
export function getHandle(id) {
  return request({
    url: '/advertising25/setting/' + id,
    method: 'get'
  })
}

// 新增把手
export function addHandle(data) {
  return request({
    url: '/advertising25/setting',
    method: 'post',
    data: data
  })
}

// 修改把手
export function updateHandle(data) {
  return request({
    url: '/advertising25/setting',
    method: 'put',
    data: data
  })
}

// 删除把手
export function delHandle(id) {
  return request({
    url: '/advertising25/setting/' + id,
    method: 'delete'
  })
}

//
export function deviceDict(query) {
  return request({
    url: '/advertising25/setting/deviceDict',
    params: query,
    method: 'get'
  })
}

//
export function materialDict() {
  return request({
    url: '/advertising25/setting/materialDict',
    method: 'get'
  })
}

export function getMaterialById(query) {
  return request({
    url: '/advertising25/setting/getMaterialById',
    params: query,
    method: 'get'
  })
}
