package com.ruoyi.advertiser25.domain;

import com.alibaba.fastjson2.JSONArray;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 广告轮播计划 对象 n25_carousel_plan
 *
 * @author zhangzhanwei
 * @date 2021-09-22
 */
@Data
public class CarouselPlan25 extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 线路id */
    private Long groupId;

    /** 投放时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date advertiseDate;

    /** 播放的图片 List<CarouselPlanPicDto25> */
    private String carouselPlan;

}
