package com.ruoyi.advertiser25.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * 轮播计划存入redis数据
 * @author zhangzhanwei
 * @date: 2021-09-27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class CarouselPlanDayDto25 {
    /** 地铁开始运营时间*/
    private String startDate;
    /** 地铁结束运营时间*/
    private String endDate;
    /** 图片对象集合 */
    List<MaterialUrlDto25> imageList;
    /** 图片显示列表 **/
    private List<CarouselPlanDayPicsDto25> dataList;


    /** 图片刷新周期 */
    private int displayTime;
    /** 心跳周期 */
    private int hbiTime;
    /** 服务器地址 */
    private int downHttp;
}
