package com.ruoyi.mcu25.common;

import com.ruoyi.advertiser25.service.IScreenDeviceService;
import com.ruoyi.mcu25.config.McuSocketConfig25;
import com.ruoyi.mcu25.server.DealChannel25;
import com.ruoyi.mcu25.server.DealServer25;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import java.io.IOException;

/**
 * @author wzsdch_p751
 * @date 2022/07/18 14:07
 **/
@Component
public class McuBeanConfig25 {

    @Bean(name="dealChannel25")
    @Scope("prototype")
    public DealChannel25 getDealChannel(McuSocketConfig25 mcuSocketConfig25,
                                        IScreenDeviceService adHandleService,
                                        DealServer25 dealServer25){
        return new DealChannel25(mcuSocketConfig25,adHandleService, dealServer25);
    }

    @Bean(name="eventLoopGroup25")
//    @Scope("prototype")
    public EventLoopGroup25 getEventLoopGroup() throws IOException {
        return new EventLoopGroup25();
    }
}
